summaryrefslogtreecommitdiffstats
path: root/testsuite/transok/buildko.stp
diff options
context:
space:
mode:
authorfche <fche>2005-07-26 22:42:55 +0000
committerfche <fche>2005-07-26 22:42:55 +0000
commit895a9c5c1976404ed6861c7b2dfd1dd150eab561 (patch)
tree6f3f4a9a862e462b72c58766de22ee5ac008c524 /testsuite/transok/buildko.stp
parent54dfabe9e604ec06cdb5550f58420c60d0cbdbd9 (diff)
downloadsystemtap-steved-895a9c5c1976404ed6861c7b2dfd1dd150eab561.tar.gz
systemtap-steved-895a9c5c1976404ed6861c7b2dfd1dd150eab561.tar.xz
systemtap-steved-895a9c5c1976404ed6861c7b2dfd1dd150eab561.zip
* same sort of thing
Diffstat (limited to 'testsuite/transok/buildko.stp')
-rwxr-xr-xtestsuite/transok/buildko.stp10
1 files changed, 10 insertions, 0 deletions
diff --git a/testsuite/transok/buildko.stp b/testsuite/transok/buildko.stp
new file mode 100755
index 00000000..67f11eba
--- /dev/null
+++ b/testsuite/transok/buildko.stp
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+# make sure that we can *translate* all buildko test files, to ensure
+# that it is build-time checks that fail, not earlier ones errors
+
+set -e
+for file in ${SRCDIR}/testsuite/buildko/*.stp
+do
+ ./stap -p3 $file
+done